Bug 1266520 - setools cannot be built against libsepol-2.4
setools cannot be built against libsepol-2.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 09:37 EDT by David Sommerseth
Modified: 2016-05-22 19:35 EDT (History)
7 users (show)

See Also:
Fixed In Version: setools-3.3.8-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 00:49:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for fedora packaging (5.25 KB, patch)
2015-09-25 09:37 EDT, David Sommerseth
no flags Details | Diff

  None (edit)
Description David Sommerseth 2015-09-25 09:37:27 EDT
Created attachment 1077104 [details]
Patch for fedora packaging

libsepol have been upgraded in Fedora since setools was built, with an incompatible API change.  This makes building setools failing.

The attached patch can be added on top of a fedpkg setools clone.  It adds the required patch plus updates the spec file.

The patch for setools is based on a commit from the setools-4 source tree.  Chris PeBenito (pebenito) suggested this fix.
Comment 1 Dan Horák 2016-01-29 08:02:06 EST
patch committed in dist git, but now fails a bit later with some swig issue
Comment 2 Petr Lautrbach 2016-01-29 08:05:46 EST
I've got a plan to do the setools update together with the other SELinux Project user space update. There's a COPR repo https://copr.fedorainfracloud.org/coprs/plautrba/selinux/ where are all packages built. All needed changes are prepared in private-master-2.5 branches, for setools it's http://pkgs.fedoraproject.org/cgit/rpms/setools.git/log/?h=private-master-2.5.
Comment 3 Petr Lautrbach 2016-01-29 08:12:02 EST
The difference is that I use the latest setools 3 tree - https://github.com/TresysTechnology/setools3 - as a source package - which can be built with without problems in Fedora 23 with 2.4 userspace.
Comment 4 Dan Horák 2016-01-29 08:14:43 EST
Any ETA for making the private branch official? But I think the private branch will solve our immediate needs.
Comment 5 Petr Lautrbach 2016-01-29 08:25:22 EST
I'll try to push setools updates today or on Monday.
Comment 6 Petr Lautrbach 2016-01-29 09:06:22 EST
This is the patch described in https://bugzilla.redhat.com/show_bug.cgi?id=1266520#c3


diff --git a/setools.spec b/setools.spec
index 94f0598..ef3d6d4 100644
--- a/setools.spec
+++ b/setools.spec
@@ -1,5 +1,6 @@
-%define setools_maj_ver 3.3
-%define setools_min_ver 8
+%global setools_maj_ver 3.3
+%global setools_min_ver 8
+%global gitver f1e5b20
 
 Name: setools
 Version: %{setools_maj_ver}.%{setools_min_ver}
@@ -7,23 +8,25 @@ Release: 8%{?dist}
 License: GPLv2
 URL: http://oss.tresys.com/projects/setools
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
-Source: http://oss.tresys.com/projects/setools/chrome/site/dists/setools-%{version}/setools-%{version}.tar.bz2
+# Source: http://oss.tresys.com/projects/setools/chrome/site/dists/setools-%{version}/setools-%{version}.tar.bz2
+# git clone https://github.com/TresysTechnology/setools3.git
+# cd setools3
+# gitrev=`git rev-parse --verify --short HEAD`
+# git archive --format=tar --prefix=setools-3.3.8/ HEAD | bzip2 > setools-3.3.8-$gitrev.tar.bz2
+Source: setools-%{version}-%{gitver}.tar.bz2
 Source1: setools.pam
 Source2: apol.desktop
 Source3: seaudit.desktop
 Patch1: 0001-Since-we-do-not-ship-neverallow-rules-all-always-fai.patch
 Patch2: 0002-Fix-sepol-calls-to-work-with-latest-libsepol.patch
-Patch3: 0003-mgrepl-patch-to-Fix-swig-coding-style-for-structures.patch
 Patch4: 0004-Apply-selinux_current_policy_path-patch.patch
 Patch5: 0005-Apply-seaudit-patch-for-progress.c.patch
 Patch6: 0006-Add-support-for-boolean-subs.patch
 Patch7: 0007-Setools-noship.patch
 Patch8: 0008-Add-alias-support-to-seinfo-t.patch
 Patch9: 0009-Fix-help-message-on-sesearch-D.patch
-Patch10: 0010-Apply-swig-patch-to-make-apol-work-again.patch
 Patch11: 0011-Fix-Wformat-security-issues.patch
 Patch12: 0012-Fix-configure.ac-to-use-SWIG-3.0.0.patch
-Patch17: 0017-update-to-libsepool-2.4-parser.patch
 
 Summary: Policy analysis tools for SELinux
 Group: System Environment/Base
@@ -153,17 +156,14 @@ This package includes the following graphical tools:
 %setup -q
 %patch1 -p 1 -b .neverallow
 %patch2 -p 1 -b .libsepol
-%patch3 -p 1 -b .swig
 %patch4 -p 1 -b .current_policy
 %patch5 -p 1 -b .seaudit
 %patch6 -p 1 -b .boolean-subs
 %patch7 -p 1 -b .noship
 %patch8 -p 1 -b .seinfo-t
 %patch9 -p 1 -b .sesearch-D
-%patch10 -p 1 -b .wig-patch
 %patch11 -p 1 -b .Wformat-security
 %patch12 -p 1 -b .version
-%patch17 -p 1 -b .libsepool24
 
 %ifarch sparc sparcv9 sparc64 s390 s390x
     for file in `find . -name Makefile.am`; do
Comment 7 Fedora Update System 2016-01-29 09:56:15 EST
setools-3.3.8-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-64e5c87809
Comment 8 Fedora Update System 2016-01-30 14:55:38 EST
setools-3.3.8-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-64e5c87809
Comment 9 Fedora Update System 2016-02-02 00:49:25 EST
setools-3.3.8-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.